#!/usr/bin/env python
# -*- coding: utf-8 -*-
from os import environ, chdir
import subprocess
import sys
import logging
from shutil import which

try:  # noqa
    chdir(sys.path[0])  # noqa
    pip3_available = which("pip3")
    if pip3_available is not None:
        subprocess.call(('pip3', 'install', '-r', 'requirements.txt'))  # noqa
    else:
        subprocess.call(('pip', 'install', '-r', 'requirements.txt'))  # noqa
except Exception as e:  # noqa
    pass  # hope it works  # noqa

from agent.main import init_serial

if __name__ == '__main__':
    logging.basicConfig()
    logger = logging.getLogger()
    level = environ.get('LOGLEVEL', 'INFO')

    logger.setLevel(level)

    init_serial()
